К списку форумов К списку тем
Регистрация    Правила    Главная форума    Поиск   
Имя: Пароль:
Рекомендовать в новости

Похоже "семерка" умерла окончательно. Поздравляю...

Гость
0 - 19.02.2018 - 15:18
Всем привет!

У меня уже 4 крупных клиента скачали февральское обновление безопасности для Windows 10, которое конфликтует с драйвером HASP4. Номер обновления: KB4074588.
Симптомы конфликта: Windows не загружается, если на компьютере установлен драйвер HInstall. Также если удалить драйвер, установить обновление и попытаться установить драйвер повторно, то Windows мгновенно переходит в BSOD с ошибкой BAD_POOL_CALLER.
С компа клиента пообщался в чате с техподдержкой Microsoft, они даже подключились и пощелкали что-то. Посоветовали временно скрыть обновление до грядущего большого Spring Update и позаботится о замене более неподдерживаемого оборудование на что-то новое.
Примерно то же самое ответили в тех.поддержке SafeNet.

Похоже это конец :)

П.с. Если кто-нибудь знает способ, как это обойти, не ломая 1Ску и не отключая обновления - поделитесь.



1 - 19.02.2018 - 15:29
А за каким ляхом ты ставишь 10 винду там, где люди работают на 7.7 ?
Мсье тонкий извращенец?
2 - 19.02.2018 - 15:30
Цитата:
Сообщение от MetalHeart Посмотреть сообщение
Если кто-нибудь знает способ, как это обойти, не ломая 1Ску и не отключая обновления
ну точно извращенец!
Гость
3 - 19.02.2018 - 15:36
Не поверишь в магазинах ниже Windows 10 уже не продают, а вот 1с-ка клиентам 1с-ку "семерку" еще продает без проблем, потому что у них уже есть купленная семерка. Причем коробки 2018 года, уже с новыми синителовскими ключами, которые один хрен больше не работают :)
4 - 19.02.2018 - 15:56
Даже и не знаю что посоветовать...
действительно безвыходная ситуация...
5 - 19.02.2018 - 16:01
действительно, без 10-й винды и без постоянных обновлений какая работа? баловство!

Хотя, у меня клиенты, которые работают на 7.7, как-то сумели взять себя в руки и огромным усилием воли подавляют в себе желание поставить Win10.
Некоторые даже умудряются работать на XP.
Гость
6 - 19.02.2018 - 16:44
Если есть понимание что 7.7 самодостаточна, значит не может не быть понимания - ничего, блэт, не трогать!!!
С какого перепугу 10-ка будет поддерживать 32-битное Дельфи, написанное через ж? Да те же тупо DBF файлы, формат - уже не котируется!
(0) Зачем для 7.7 покупать современные компы? Садись, два.
Гость
7 - 19.02.2018 - 16:45
Могу посоветовать платформу 8.3, но не УФ. Дерзайте. И юзеры довольны будут.
8 - 19.02.2018 - 16:55
(6) +100500
ППКС
9 - 19.02.2018 - 17:57
в описании к 7.7 должен быть список поддерживаемых ОСей. а также многочисленные письма 1Са про то, куда идти.
10 - 19.02.2018 - 18:27
а обычные формы сколько еще поживут ?)
11 - 19.02.2018 - 20:48
Цитата:
Сообщение от MetalHeart Посмотреть сообщение
Не поверишь в магазинах ниже Windows 10 уже не продают
Ты сильно удивишься, но можно сейчас купить и вин7, только эта лицензия подороже и называется GGK. Иными словами - комплект легализации. А под него и ХР даже можно ставить.
12 - 19.02.2018 - 21:09
(11) под некоторые ноуты уже нет дров под 7ку, только под 10ку.
13 - 19.02.2018 - 21:27
У нас 4 юрлица тоже пока на 7-ке сидят и переходить ни куда не собираются.
Специально для них держим сервер 2003, который одно время на помойку хотели выкинуть.
Получилось и дешево и сердито :)
14 - 19.02.2018 - 22:13
У вас 7.7 не в терминале что ли работает?

Затейники.

%о)))
15 - 19.02.2018 - 22:14
Цитата:
Сообщение от Кондрат2 Посмотреть сообщение
У нас 4 юрлица тоже пока на 7-ке сидят и переходить ни куда не собираются.Специально для них держим сервер 2003, который одно время на помойку хотели выкинуть.Получилось и дешево и сердито :)
С тех пор, как появились виртуальные машины, необязательно держать старые 7.7 на древнем железном сервере
16 - 19.02.2018 - 22:45
1С 7-ку погубить сможет только производитель ее. А автоматические обновления лучше отключать, имхо.

Отредактировано zaic; 19.02.2018 в 22:47. Причина: грамматика
17 - 20.02.2018 - 03:11
Что-то я вообще не понял из-за чего шум? По всей видимости автор сабжа обучался в неправильной консерватории, потому что всё как работало, так и работает, под любой версией Windows и любой разрядности, со всеми последними обновлениями. Единственное ограничение - на 64-разрядной версии Windows не работает локальная версия v77, т.к. она не способна работать с менеджером лицензий и, естественно, не поддерживает работу с 64-разрядным драйвером ключа. А так, ставите последнюю версию драйверов от Sentinel, менеджер лицензий 8.32 и в добрый путь, со всеми вышеперечисленными обновлениями на W10x64 в том числе ;)

а ниже я, для прикола, перепрограммировал ключ от комплексной SQL в трёхпользовательский вариант и запустил сетевую версию ;)
Гость
18 - 20.02.2018 - 09:30
(17) громко хлопаю ластами в вашу честь!

а лохи пусть отдыхают....
19 - 20.02.2018 - 11:56
(17), (18)
извините, что мешаю хлопать ластами и прядать ушами...
простите за нескромный вопрос...
за каким ляхом вы ставите 7.7 на Win10 ?
кому и что вы хотите доказать?
PS. на скриншоте пустая база "Наша фирма". Как говорили в фильме "Место встречи": Это и я так могу! А ты сыграй «Мурку»!

Иными словами, пробовал ли ты боевую базу крутить на win10 ? Не парикмахерскую, а нормальную базу в формате SQL, с хотя бы парой десятков активных пользователей?
20 - 20.02.2018 - 12:17
(18) да это вообще похоже на вброс чего-то цвета детской неожиданности, потому что ... "4 крупных клиента" - ростом под два метра и весом за 120кг? Не видал ещё "крупных" клиентов, работающих с локальной версией - ведь только в этом случае требуется установка на рабочую станцию драйверов HASPа, а для работы с сетевой драйвера HASPа не нужны по определению, вся работа идёт через сетевой интерфейс с менеджером лицензий. Ну и, наконец, нужно быть полным имбецилом, чтобы на ОС 2018 года выпуска пытаться ставить драйвера из комплекта программы, которая последний раз обновилась ещё в 2006-ом году. Уж если воткнул локально сетевой ключ, то почему бы не подождать пару минут, пока ОС сама не подберёт под этот ключ драйвер? Сейчас, по идее, Win 10 должна установить автоматом версию драйвера не ниже 7.60, хотя с любой версией драйверов, начиная с тех, что идут в комплекте с LM8.32 (там идёт версия 5.40), всё пока чудесно работает даже на самых последних бетах W10 и Server2016. Хоть, в своё время некто Mete0 и говорил о криворукости драйверописателей из Aladdin, их драйвера по прежнему вполне работоспособны - нужно просто тупо смотреть требования к версии ОС самого драйвера, как это делается для любого оборудования вообще.
Гость
21 - 20.02.2018 - 12:27
(20) вообще то ноуты сейчас по большинству идут под вынь10. Деваться некуда.

админ (не я, сЭр, не я) - запускает 1це под 7,8,10 без проблем. Без всякого лома. Ну да это его проблемы, он их успешно решает.

зы у меня под ластами сейчас чужой ноут с десяткой. Без сети. В цехе. 1це матерится - нет ключа

ззы есть и локальные 1це. 77. какая там ОС - даже не курсе
22 - 20.02.2018 - 12:29
(19) Интересно, а какая половая разница, для проверки работоспособности системы защиты, это фаловая демо база из официально поставляемого комплекта бухгалтерии, или "боевая" на 40ГБ в формате SQL Server, и какое отношение размер базы имеет к ОС, из под которой она эксплуатируется? Все ограничения по размеру баз каковы были, таковы и остались для всех ОС, и от ОС они не зависят - у dbf свои ограничения, а у SQL Server 2000 - свои. Под SQL Server 2000 ставь ту ось, которая с ним совместима, а вопросы патчей для работы с более поздними версиями SQL Server уже выходят за рамки обсуждения данной темы.
23 - 20.02.2018 - 12:35
(21) С локальными v77 Win10 x86(32 разряда) любой версии/сборки тоже чудесно работает, в т.ч. и с локальным USB HASPом - нужно просто всегда корректно понимать цели и задачи, и решать их соответствующим образом ;)
24 - 20.02.2018 - 13:13
(22)
Цитата:
Сообщение от oops! Посмотреть сообщение
Интересно, а какая половая разница, для проверки работоспособности системы защиты, это фаловая демо база из официально поставляемого комплекта бухгалтерии, или "боевая" на 40ГБ в формате SQL Server
для проверки защиты - возможно, нет разницы
а для реальной работы - разница есть.
25 - 20.02.2018 - 13:14
Думаю, что выражу мнение значительной части участников ветки: если у вас руки растут из ж...пы, то это не значит, что штаны как предмет одежды, умерли окончательно.
26 - 20.02.2018 - 13:51
(24) ну да, W10 стоит уже только на новых машинах, и, значит обсчет данных будет на порядки быстрее, но, думаю, таких косяков, как с FoxPro в своё время, на котором был написан BEST, случиться, всё же, не должно - приходилось использовать замедлители для нормальной работы программы, т.к. там зачем то вычислялось время выполнения операции для оценки быстродействия, и оно округлялось до какого-то знака, а затем использовалось где-то в знаменателе, в итоге была ошибка деления на ноль ;) Никаких иных проблем, кроме проблемы с кодовой страницей сортировки в файловых БД, которая вполне успешно решается, я не вижу. У меня есть клиенты, которые работают с очень сильно переписанной с использованием 1С++ на прямых запросах v77 ТиС ещё вер. 8.7 изначально, база крутится под SQL 2000 (W2K3 сервер в качестве ОС), объём БД далеко за 50ГБ (может и ещё уже гораздо больше - давно уж обрезать пора), и к ней подключаются клиенты из под совершенно разных ОС в офисе/нескольких магазинах, от Win XP до W10, включая Vista/W7/8/8.1, свыше 50 пользователей совершенно точно, и никаких проблем при этом не испытывают, кроме желания обрезать предыдущие 10 лет эксплуатации, и об этом сейчас идут переговоры.
27 - 20.02.2018 - 13:52
(25)Если человек что-то не знает, соверщенно не значит, что у него нарушена анатомия. Человек пришел и задал вопрос. Человек может знать очень много другого, чего не знают другие человеки (люди). Оскорбить, при этом ничего не сказав полезного, на это точно ума не надо.Для этого просто язык должен расти из ж...
Ничего личного. Прошу просто уважать других людей вообще и автора ветки, конкретно. Это очень несложно.
28 - 20.02.2018 - 14:14
(27) ведь никому же в голову не придёт драйвер на видеокарту, предназначенный для 32-разрядной Windows XP, устанавливать на 64-разрядную Windows 7-10? Зачем себе позволять подобные "вольности" с драйверами другого оборудования? И ещё при этом утверждать, что спецы из M$/SafeNet подключались и ничего не смогли сделать, когда и у тех и у других для этого есть абсолютно всё необходимое, и, если не спешить на горшок, а подождать минуту-две, и дать системе возможность самой установить требуемый драйвер, то и задавать подобных вопросов здесь не придётся? Ведь поколение Pepsi уже давно "приучено" к тому что система всё сделает за вас сама в плане драйверов при наличии подключения к сети WWW, и только если она пошлёт вас к вендору оборудования, вот тогда к нему и надо идти, либо задавать вопросы на форумах, нет?
29 - 20.02.2018 - 14:41
Цитата:
Сообщение от USSR Посмотреть сообщение
У меня есть клиенты, которые работают с очень сильно переписанной с использованием 1С++ на прямых запросах v77 ТиС ещё вер. 8.7 изначально, база крутится под SQL 2000 (W2K3 сервер в качестве ОС), объём БД далеко за 50ГБ (может и ещё уже гораздо больше - давно уж обрезать пора), и к ней подключаются клиенты из под совершенно разных ОС в офисе/нескольких магазинах, от Win XP до W10, включая Vista/W7/8/8.1, свыше 50 пользователей совершенно точно, и никаких проблем при этом не испытывают, кроме желания обрезать предыдущие 10 лет эксплуатации, и об этом сейчас идут переговоры.
Так они в режиме терминального сервера работают наверняка.

Не говорите мне, что это не так, у меня мозг расколется

%о)))
30 - 20.02.2018 - 15:08
(29) нет, клиент-серверный режим, как раз таки, и предполагает работу просто по сети, безо всяких терминалов, т.к. в этом режиме, в отличии от файлового, не таскается по сети вся база. а только те данные, которые попали в запрос ;)
Так что мне жаль Ваш мозг %о)))
31 - 20.02.2018 - 15:14
Цитата:
Сообщение от oops! Посмотреть сообщение
(29) нет, клиент-серверный режим, как раз таки, и предполагает работу просто по сети, безо всяких терминалов, т.к. в этом режиме, в отличии от файлового, не таскается по сети вся база. а только те данные, которые попали в запрос ;)Так что мне жаль Ваш мозг %о)))
Офигеть. Только в 7.7, в отличие от 8.х помимо SQL-базы есть еще дурацкая файловая папка, которая как раз должна быть расшарена по сети, что при тонких каналах печально
32 - 20.02.2018 - 16:06
Цитата:
Сообщение от USSR Посмотреть сообщение
Человек пришел и задал вопрос. Человек может знать очень много другого, чего не знают другие человеки (люди).
Этот "человек" - админ, который поднимает (по его словам) базы 1С 7.7 у "крупных клиентов".
И при этом не знает, на чём 7.7 должна работать, а на чём не должна.
Неужели такое тотальное отсутствие мозгов? Думаю, вряд ли. Скорее, всё это похоже на какую-то нелепицу, банальный развод.
Вот поэтому и дурачимся здесь, почему бы нет?
33 - 20.02.2018 - 17:24
28-oops! > тц-тц-тц.. не говори насчет "пару минут "подождать".
Ты повествуешь про ситуацию, когда и если ставить все с нуля. Да, в этом случае все замечательно работает, как у тебя на картинке. Молодец, картинку правильную показал, не спорю.

Но . Речь идет не об этом.
На работающую (уже пару с хвостиком лет стабильно работающую) систему с установленными фиг знает когда (да и тогда далеко не самыми последними) HASP-дровами вдруг прилетает кумулятивное обновление. то самое. KB4074588.

После этого все просто - винда не грузится.
Ап. И тигры у ног моих сели, т.е. Ап. И бушки припухли.
Вечером бушка нажала на "Завершение работы", а с утра - нежданчик.

И надо.
- откатить обновление .
- убрать старые драйвера. Полностью. Физически. Чтобы в дальнейшем не мешались под ногами.
- накатить обновление.
- установить новые драйвера (вот тут можно и "подождать пару минут", согласна, да).

и радоваться...
до следующего обновления винды..


Это я не к тому, что согласна с тезисом, дескать "7-ка умерла".
Это я к тому, что некоторые обновления винды надо ставить с осторожкой, тем более кумулятивные обновления. И "парой минут подождать" тут ну никак не обойдешься.
Гость
34 - 20.02.2018 - 17:38
(34) Ура! Блондинка нашла решение проблемы. Стоит поменять название темы на "Похоже семерку всё ещё рано хоронить".
35 - 20.02.2018 - 19:30
34-Харлампий Дымба > да я вообще-то не про решение проблемы. я про "пару минут".
нечто подобное у меня крайний раз на Win7 было, когда сначала крипто-про мешал обновлениям устанавливаться, а потом после того как обнолвения встали, сам крипто-про переустанавливать пришлось и заново все сертификаты ЭЦП прописывать.
такие вот обновления чудные иногда бывают.
36 - 21.02.2018 - 00:49
Цитата:
Сообщение от StepanRazin Посмотреть сообщение
Офигеть. Только в 7.7, в отличие от 8.х помимо SQL-базы есть еще дурацкая файловая папка, которая как раз должна быть расшарена по сети, что при тонких каналах печально
ну да, и все внешние компоненты (1с++, rainbow и иже с ними) тоже там лежат, как правило, хотя их можно и по локалкам в bin пораспихивать и там зарегистрировать.
Цитата:
Сообщение от Ирли Бёрд Посмотреть сообщение
Думаю, вряд ли. Скорее, всё это похоже на какую-то нелепицу, банальный развод. Вот поэтому и дурачимся здесь, почему бы нет?
я того же мнения (см. (20))

(33) С Крипто-Про - да, была трабла, потому как при установке в систему сей зверь заменяет собой встроенного, от M$, криптопровайдера, и новая версия этого зверя, увы, сама никогда в жизни не установится - надо только скачать новый дистрибутив, который должен быть совместим по номеру версии с тем серийником, который тебе был выдан, иначе будешь работать с триальной версией и ждать новый серийник.
А по сабжу ещё раз повторюсь - не может даже самый криворукий сисадмин поставить в систему драйвера на оборудование, предназначенные для несовместимой версии ОС, в особенности в ситуации, когда эти драйвера на этой машине никоим боком не упёрлись, ибо у "крупного клиента" ключ мог быть только сетевой, и воткнут он должен был быть в сервер с установленным там LM, другого варианта не дано, если только этим сервером не является обычная рабочка, пусть с тем же Win 10, но это опять же всего одна машина. Впрочем, мне кажется, я уже повторяюсь.
Гость
37 - 21.02.2018 - 12:31
Вот любят на этом форуме домысливать несказанное и грязью поливать почем зря. Всё вам разводы да вбросы мерещатся. По себе судите, господа? Добрее надо быть..
Никому не приходило в голову, что крупный клиент - не обязательно завод с сотнями компов под одной крышей? Может это торговая сеть с кучей магазинов, и в каждом 1-2 компа с фискальниками и локальными "Семерками".
Как быть в таком случае? Сетевые версии нерентабельны,локальные без hinstal не увидят ключа.
Есть идеи или будем дальше соревноваться в остроумии?
38 - 21.02.2018 - 13:06
Цитата:
Сообщение от Remix Mirage Посмотреть сообщение
Есть идеи или будем дальше соревноваться в остроумии?
Есть, классика: "Пригласите специалиста!" (с)
Гость
39 - 21.02.2018 - 13:23
Коллеги, как бы этого ни хотелось, но тема не закрыта.
Давайте сначала, чтобы было понятно, с чем приходится работать, формат крупного клиента: это на текущий момент три супермаркета на 6-8 касс и пару десятков магазинов формата "у дома" (все в глубинке). Директор - консерватор, открывший первый супермаркет в 2003 году и с тех пор ничего не хочет менять и неистово заказывает семерку на добавляющиеся кассы в супермаркеты и на новые магазины "у дома".
Из-за того, что это деревня, он давно решил, что ключи должны быть локальными - 1 касса = 1 ключ, т.к. свет отключается в произвольный момент времени, касса должна работать без сети от мощного бесперибойника.
Итого на февральском обновлении недавно купленные кассы с локальными ключами встали.
Из-за того, что ключ однопользовательский - предложенные Вами варианты неактуальны.
Переход на 8 рассматривать руководитель не хочет, в т.ч. и открытие новых магазинов: во-первых дорого (апгрейд текущих магазинов), во-вторых продавцы-колхозницы, только научились на чем-то работать, а тут им новую программу подсунут, ну в третьих продавцы переходят между магазинами и изучать две разные программы им будет тоже не фонтан.

Насчет пригласите специалиста - я не против, т.к. реально у меня идеи закончились. Напишите в личку - предоставлю доступ по TeamViewer к компу со свежеустановленной виндой с последним обновлением, в которую вставлен однопользовательский ключ 1С 7.7 Оперативный учет. Задача: запустить, не ломая и не откатывая обновление, 1С 7.7, релиз 27, конфигурация на оперативном учете лежит на диске. За действенный способ цену обсудим.


К списку вопросов
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск




Copyright ©, Все права защищены